(*  This file contains functions for studying Pascal's triangle. 
    version 1  09-07-99
*)

BeginPackage["PrimaryMath`PascalsTriangle`PascalsTriangle`"] ;

PascalsTriangleRow::usage=
"PascalsTriangleRow[n_Integer] returns the nth row of Pascal's triangle."


Begin["`Private`"] ;

PascalsTriangleRow[1] = {1} ;
PascalsTriangleRow[2] = {1,1} ;
PascalsTriangleRow[n_Integer?Positive] := 
  PascalsTriangleRow[n] =
  Join[{1}
  , Table[PascalsTriangleRow[n-1][[i]]+PascalsTriangleRow[n-1][[i+1]]
    ,{i,Length[PascalsTriangleRow[n-1]]-1}]
  , { 1 } 
  ] ; 

End[] ;

EndPackage[] ;